import 'package:pshared/models/payment/upload_history_item.dart';


abstract class UploadHistoryService {
  Future<List<UploadHistoryItem>> fetchHistory();
}

class MockUploadHistoryService implements UploadHistoryService {
  @override
  Future<List<UploadHistoryItem>> fetchHistory() async {
    await Future.delayed(const Duration(milliseconds: 300));

    return [
      UploadHistoryItem(name: "cards_payout_single.csv", status: "Valid", time: "5 hours ago"),
      UploadHistoryItem(name: "rfba_norm.csv", status: "Valid", time: "Yesterday"),
      UploadHistoryItem(name: "iban (4).csv", status: "Valid", time: "Yesterday"),
      UploadHistoryItem(name: "rfba_wrong.csv", status: "Error", time: "2 days ago"),
    ];
  }
}
